src/gui/cs_gui_boundary_conditions.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Enumerations | Functions | Variables
cs_gui_boundary_conditions.c File Reference
`#include "cs_defs.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include <string.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <assert.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "fvm_selector.h"`
`#include "mei_evaluate.h"`
`#include "cs_base.h"`
`#include "cs_gui_util.h"`
`#include "cs_gui_specific_physics.h"`
`#include "cs_gui_variables.h"`
`#include "cs_mesh.h"`
`#include "cs_field.h"`
`#include "cs_field_pointer.h"`
`#include "cs_prototypes.h"`
`#include "cs_timer.h"`
`#include "cs_gui_boundary_conditions.h"`
Include dependency graph for cs_gui_boundary_conditions.c:

## Macros
#define | _XML_DEBUG_ 0

## Enumerations
enum | cs_boundary_value_t { DIRICHLET, FLOW1, HYDRAULIC_DIAMETER, TURBULENT_INTENSITY, NEUMANN, EXCHANGE_COEFF, COALFLOW, WALL_FUNCTION, DIRICHLET_FORMULA, DIRICHLET_IMPLICIT, NEUMANN_FORMULA, NEUMANN_IMPLICIT, EXCHANGE_COEFF_FORMULA }

## Functions
int | cs_gui_boundary_zones_number (void)
char * | cs_gui_boundary_zone_nature (const int ith_zone)
char * | cs_gui_boundary_zone_label (const int ith_zone)
int | cs_gui_boundary_zone_number (const int ith_zone)
char * | cs_gui_boundary_zone_localization (const char *label)
int * | cs_gui_get_faces_list (int izone, const char *label, int nfabor, int nozppm, int *faces)
void | uiclim (const int *ntcabs, const int *nfabor, const int *nozppm, const int *ncharm, const int *ncharb, const int *nclpch, const int *iindef, const int *ientre, const int *iesicf, const int *isspcf, const int *iephcf, const int *isopcf, const int *iparoi, const int *iparug, const int *isymet, const int *isolib, const int *isca, const int *ipr, const int *iscalt, const int *itempk, const int *ienerg, int *iqimp, int *icalke, int *ientat, int *ientcp, int *inmoxy, int *ientox, int *ientfu, int *ientgf, int *ientgb, int *iprofm, double *coejou, double *dpot, cs_real_t rtpa[], int *ielcor, int *ipotr, int *ipoti, int ipotva[], int *ncelet, int *itypfb, int *izfppp, int *icodcl, double *dtref, double *ttcabs, double *surfbo, double *cdgfbo, double *qimp, double *qimpat, double *qimpcp, double *dh, double *xintur, double *timpat, double *timpcp, double *tkent, double *fment, double *distch, double *rcodcl)
void | uiclve (const int *nfabor, const int *nozppm, const int *iindef, const int *ientre, const int *iesicf, const int *iephcf, const int *isspcf, const int *isopcf, const int *iparoi, const int *iparug, const int *isymet, const int *isolib, int *itypfb, int *izfppp)
void | cs_gui_boundary_conditions_free_memory (const int *ncharb)

## Variables
cs_boundary_t * | boundaries = NULL

## Macro Definition Documentation

#define _XML_DEBUG_ 0

## Enumeration Type Documentation

enum cs_boundary_value_t

Enumerator
DIRICHLET |
FLOW1 |
HYDRAULIC_DIAMETER |
TURBULENT_INTENSITY |
NEUMANN |
EXCHANGE_COEFF |
COALFLOW |
WALL_FUNCTION |
DIRICHLET_FORMULA |
DIRICHLET_IMPLICIT |
NEUMANN_FORMULA |
NEUMANN_IMPLICIT |
EXCHANGE_COEFF_FORMULA |

## Function Documentation

void cs_gui_boundary_conditions_free_memory | ( | const int * | ncharb | ) |

char* cs_gui_boundary_zone_label | ( | const int | ith_zone | ) |

char* cs_gui_boundary_zone_localization | ( | const char * | label | ) |

char* cs_gui_boundary_zone_nature | ( | const int | ith_zone | ) |

int cs_gui_boundary_zone_number | ( | const int | ith_zone | ) |

int cs_gui_boundary_zones_number | ( | void |  | ) |

int* cs_gui_get_faces_list | ( | int | izone,
|  | const char * | label,
|  | int | nfabor,
|  | int | nozppm,
|  | int * | faces
| ) |  |

void uiclim | ( | const int * | ntcabs,
|  | const int * | nfabor,
|  | const int * | nozppm,
|  | const int * | ncharm,
|  | const int * | ncharb,
|  | const int * | nclpch,
|  | const int * | iindef,
|  | const int * | ientre,
|  | const int * | iesicf,
|  | const int * | isspcf,
|  | const int * | iephcf,
|  | const int * | isopcf,
|  | const int * | iparoi,
|  | const int * | iparug,
|  | const int * | isymet,
|  | const int * | isolib,
|  | const int * | isca,
|  | const int * | ipr,
|  | const int * | iscalt,
|  | const int * | itempk,
|  | const int * | ienerg,
|  | int * | iqimp,
|  | int * | icalke,
|  | int * | ientat,
|  | int * | ientcp,
|  | int * | inmoxy,
|  | int * | ientox,
|  | int * | ientfu,
|  | int * | ientgf,
|  | int * | ientgb,
|  | int * | iprofm,
|  | double * | coejou,
|  | double * | dpot,
|  | cs_real_t | rtpa[],
|  | int * | ielcor,
|  | int * | ipotr,
|  | int * | ipoti,
|  | int | ipotva[],
|  | int * | ncelet,
|  | int * | itypfb,
|  | int * | izfppp,
|  | int * | icodcl,
|  | double * | dtref,
|  | double * | ttcabs,
|  | double * | surfbo,
|  | double * | cdgfbo,
|  | double * | qimp,
|  | double * | qimpat,
|  | double * | qimpcp,
|  | double * | dh,
|  | double * | xintur,
|  | double * | timpat,
|  | double * | timpcp,
|  | double * | tkent,
|  | double * | fment,
|  | double * | distch,
|  | double * | rcodcl
| ) |  |

void uiclve | ( | const int * | nfabor,
|  | const int * | nozppm,
|  | const int * | iindef,
|  | const int * | ientre,
|  | const int * | iesicf,
|  | const int * | iephcf,
|  | const int * | isspcf,
|  | const int * | isopcf,
|  | const int * | iparoi,
|  | const int * | iparug,
|  | const int * | isymet,
|  | const int * | isolib,
|  | int * | itypfb,
|  | int * | izfppp
| ) |  |

## Variable Documentation

cs_boundary_t* boundaries = NULL